Bug 1259883 - Avoiding ifdefs in specs
Avoiding ifdefs in specs
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python3-pkgversion-macros (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Viktorin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 13:38 EDT by Orion Poplawski
Modified: 2017-08-05 18:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-05 18:17:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-09-03 13:38:05 EDT
Description of problem:

From FPC discussion, we think the following would be helpful to avoid some %ifdef usage in specs:

diff --git a/macros.python3-pkgversion.epel b/macros.python3-pkgversion.epel
index d78af0c..7c2dfb9 100644
--- a/macros.python3-pkgversion.epel
+++ b/macros.python3-pkgversion.epel
@@ -1,2 +1,6 @@
 %python3_pkgversion 34
 %python3_other_pkgversion 35
+# Set to /bin/true when not active to avoid %ifdefs in specfiles
+%__python3_other /bin/true
+%py3_other_build /bin/true
+%py3_other_install /bin/true
diff --git a/macros.python3-pkgversion.fedora b/macros.python3-pkgversion.fedora
index ecf71b4..4bfe0e1 100644
--- a/macros.python3-pkgversion.fedora
+++ b/macros.python3-pkgversion.fedora
@@ -1 +1,5 @@
 %python3_pkgversion 3
+# Set to /bin/true to avoid %ifdefs in specfiles
+%__python3_other /bin/true
+%py3_other_build /bin/true
+%py3_other_install /bin/true
Comment 2 Jan Kurik 2016-02-24 08:42:54 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-03-31 11:03:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Orion Poplawski 2016-03-31 11:09:43 EDT
This is now in place with python-srpm-macros.  I think we can now drop this package.
Comment 5 Paul Howarth 2016-10-20 06:45:28 EDT
What's the story with this package in EPEL7? This fix has been made in git but never built. Without it, specs to build multiple python3 runtimes as described in https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3 don't work.
Comment 6 Orion Poplawski 2016-10-20 10:42:44 EDT
This package is obsolete - replaced by python-rpm-macros/python-srpm-macros.  We have lots of python3 (python34) packages now in EPEL7 and coming to EPEL6, so the EPEL7 Python3 process is well underway.
Comment 7 Paul Howarth 2016-10-20 11:23:32 EDT
I wonder then why Patrick Uiterwijk added it as a buildreq to python-crypto in EPEL-7 earlier today.

Does python-srpm-macros support the python3_other stuff too? I got a build failure when trying this out in a local EPEL-7 build.
Comment 8 Orion Poplawski 2016-10-20 11:52:03 EDT
(In reply to Paul Howarth from comment #7)
> I wonder then why Patrick Uiterwijk added it as a buildreq to python-crypto
> in EPEL-7 earlier today.

A misunderstanding.

> Does python-srpm-macros support the python3_other stuff too? I got a build
> failure when trying this out in a local EPEL-7 build.

We don't yet support the python3_other stuff.  Hopefully soon, but it also may change.
Comment 9 Paul Howarth 2016-10-21 05:12:49 EDT
Where, if anywhere, is the python3_other stuff being tracked/discussed?
Comment 10 Fedora End Of Life 2017-07-25 15:14:34 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.